package nl.sbdeveloper.themeparkplus.api.objects;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.bukkit.Bukkit;
import org.bukkit.Location;
import org.bukkit.block.Block;
import org.jetbrains.annotations.NotNull;

import java.util.Objects;

@Getter @Setter @NoArgsConstructor @AllArgsConstructor
public class SignLocation {
    private String worldName;
    private int x;
    private int y;
    private int z;

    @NotNull
    public static SignLocation getFromLocation(@NotNull Location in) {
        return new SignLocation(Objects.requireNonNull(in.getWorld()).getName(), in.getBlockX(), in.getBlockY(), in.getBlockZ());
    }

    public Block getBlock() {
        return Bukkit.getWorld(worldName).getBlockAt(x, y, z);
    }
}
